Page MenuHomePhabricator

[Task] Deploy usage tracking and arbitrary access to commonswiki
Closed, ResolvedPublic

Description

  • Deploy usage tracking
  • Set allowDataAccessInUserLanguage for commons (needs to be announced first, probably)
  • Enable arbitrary access

T89594: Use the arbitrary access to Wikidata feature on Commons (tracking) calls for this.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable arbitrary access on commons

Event Timeline

Bugreporter raised the priority of this task from to Normal.
Bugreporter updated the task description. (Show Details)
Bugreporter added projects: Commons, Roadmap, Wikidata.
Restricted Application added a project: Notice. · View Herald TranscriptMay 6 2015, 10:08 AM
gpaumier moved this task from Backlog to Triaged on the Notice board.May 6 2015, 8:34 PM
Aschroet removed a subscriber: Aschroet.May 7 2015, 4:49 AM

ETA is unclear atm. We'll have to see how fast we can progress on the blockers. Not this month.

SamB added a subscriber: SamB.May 7 2015, 2:24 PM

@Lydia_Pinscher: does commons really need to use the labels right off the bat anyway? For example, authority control stuff shouldn't be affected by the whole multilingual label tracking thing, should it?

I want to roll this out in one go. It'd be too confusing to communicate in an understandable way why some things work and some others do not. And I don't know if it's even technically feasible/worth it at this point. We'll get it done :) I know a lot of people are waiting for it.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.May 10 2015, 4:57 PM
gpaumier moved this task from Triaged to Archive on the Notice board.May 29 2015, 8:21 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJun 29 2015, 10:38 PM
gpaumier set Security to None.
Jonas renamed this task from Deploy usage tracking and arbitrary access to commonswiki to [Task] Deploy usage tracking and arbitrary access to commonswiki.Aug 14 2015, 9:08 AM
RP88 added a subscriber: RP88.Aug 14 2015, 11:07 AM
Revent added a subscriber: Revent.Nov 1 2015, 11:30 PM
hoo updated the task description. (Show Details)Dec 30 2015, 7:21 PM
Yann added a subscriber: Yann.EditedMar 19 2016, 10:11 PM

Could you please at least give a deadline for this? This was scheduled for August 2015! Thanks.

hoo added a comment.Mar 21 2016, 8:19 PM

This has been enabled on beta commons with 31459edf7f128e6a73ef5525e5c5fdbe32f8a3ae. Feel free to test it there.

I have very preliminary test at http://commons.wikimedia.beta.wmflabs.org/wiki/Berlin where you can already see that the content changes with your user language.

We already announced this via the weekly summary today, but we will invite more users to test soon (probably tomorrow or on Wednesday).

I'm very confused by your Berlin demo page. The properties being fetched are P734 (family name) and P756 (removed feature), and they are being fetched from Q81559 ('Complete Discography', a musical album). That item does not have either of these properties, yet they are displaying values. I see "Arkenberge, This is not true" and "Michael Müller", neither of which appears to have any relation with Q81559 or the properties being accessed.

Furthermore, I tried to access a couple other properties and got nothing back (see this sandbox).

Am I missing something?

hoo added a comment.Mar 23 2016, 11:08 AM

I'm very confused by your Berlin demo page. The properties being fetched are P734 (family name) and P756 (removed feature), and they are being fetched from Q81559 ('Complete Discography', a musical album). That item does not have either of these properties, yet they are displaying values. I see "Arkenberge, This is not true" and "Michael Müller", neither of which appears to have any relation with Q81559 or the properties being accessed.
Furthermore, I tried to access a couple other properties and got nothing back (see this sandbox).
Am I missing something?

Please remember that beta Commons is connected to beta Wikidata (http://wikidata.beta.wmflabs.org/wiki/Wikidata:Main_Page), not the "real" Wikidata (https://www.wikidata.org/wiki/Wikidata:Main_Page).

Aha, of course. Thank you.

Quiddity added a subscriber: Quiddity.EditedMar 25 2016, 1:08 AM

Hi, I'm trying to write the very short summary for Tech/News... How would you describe this feature to a non-dev editor, and request assistance with testing, in 1-2 sentences? Perhaps something like this?
(Please tweak/rewrite for accuracy, clarity, simplicity, and conciseness. I'll put it in tomorrow. :)

Quiddity added a comment.EditedMar 25 2016, 1:08 AM

rm duplicate

I have clarified it on-wiki.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 17 2016, 7:55 PM

Change 285391 had a related patch set uploaded (by Aude):
Enable arbitrary access on commons

https://gerrit.wikimedia.org/r/285391

Change 285391 merged by jenkins-bot:
Enable arbitrary access on commons

https://gerrit.wikimedia.org/r/285391

aude closed this task as Resolved.Apr 26 2016, 11:27 PM
aude removed a project: Patch-For-Review.